
function render(element) {
    if (!element || element.name || !element.dataset.name)
        return;

    // firefox fix
    // в input[type="date"] с заданным в html атрибутом name
    // не выставляется начальное значение из атрибута value
    element.name = element.dataset.name;
}

function renderAll() {
    Array.from(document.querySelectorAll('input[type="date"]'))
        .forEach(render);
}

renderAll();

export default { render };